Get Risk Automatability Details

List an account's vulnerabilities by how easily their exploitation can be automated.

This method is used to get the details about a vulnerability – whether it is automatable or not? A significant attribute of the Risk Prioritization algorithm is Automatable (no/yes). Automatable represents the ease and speed with which a cyber threat actor can cause exploitation events. Automatable captures the answer to the question, “Can an attacker reliably automate, creating exploitation events for this vulnerability?”. Here, in this API, specifying ‘row_limit:0’ will fetch all the entries.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.RiskPrioritization.getAutomatabilityDetails(
  organization="Demo Org",
  account_name="Demo Account",
  row_limit=5
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the organization requesting risk automatability details.

string
required

Name of the account associated with the organization.

integer

Number of records to fetch. Setting row_limit to 0 retrieves all entries.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json